/**
  ******************************************************************************
  * @file    main.c
  * @author  Ac6
  * @version V1.0
  * @date    01-December-2013
  * @brief   Default main function.
  ******************************************************************************
*/


#include "stm32f30x.h"

#include <stdbool.h>

#include "Delay/delay.h"

#include "RCC_Init/rcc_init.h"
#include "GPIO_Init/gpio_init.h"
#include "USART_STM32/usart_stm32.h"

#define LED_ON	GPIO_SetBits(GPIOB, GPIO_Pin_3)
#define LED_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_3)
void LED_TOG(uint32_t time);



uint32_t counter;

char data = 0;


int main(void)
{
	systick_conf;

	rcc_init();
	gpio_init();
	nvic_init();



	usart_init(USART2, 115200);

	usart_puts(USART2, "\r\nDevice ready ...\r\n");
	_delay_ms(500);


	while(1){
		//usart_putint(USART2, counter, 10);
		//usart_puts(USART2, "\r\n");
		LED_TOG(500);
		//counter++;
		if (odebranoDane == true){
			usart_puts(USART2, buforRx);
			odebranoDane = false;
		}
	}
}

void LED_TOG (uint32_t time){
	LED_ON;
	_delay_ms(time/2);
	LED_OFF;
	_delay_ms(time/2);
}

